which spike version for ri5cy?
#1
Hi,

we are using the ri5cy core, pulpinov1 branch, and wanted to understand which spike (isa simulator) repository should be taken.

i have found this:
https://github.com/pulp-platform/riscv-isa-sim
1. is there a specific branch matching the pulpinov1 design version
2. does it have any specific ri5cy compliance, special flags or any other?
3. am i supposed to take any patch to make it match ri5scy, as the toolchain?

for the toolchain, we are taking this :
https://github.com/pulp-platform/ri5cy_gnu_toolchain
which i understand patches the original pulp platform toolchain to match the ri5cy.

would appreciate any help on this topic.

thanks,
Itay K.
Reply


Forum Jump: